> For the complete documentation index, see [llms.txt](https://docs.goproxies.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.goproxies.com/proxies/resellers-api/models.md).

# Models

## The LoginRequest object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"LoginRequest":{"properties":{"username":{"type":"string"},"password":{"type":"string"}},"required":["username","password"]}}}}
```

## The Token object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"Token":{"properties":{"token":{"type":"string"}},"required":["token"]}}}}
```

## The TrafficStats object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"TrafficStats":{"properties":{"bytes":{"type":"number"},"filter":{"$ref":"#/components/schemas/TrafficStatsQuery"}},"required":["bytes","filter"]},"TrafficStatsQuery":{"properties":{"country":{"type":"string"},"start_at":{"type":"string","format":"date-time"},"end_at":{"type":"string","format":"date-time"},"username":{"type":"string"}},"required":["start_at","end_at"]}}}}
```

## The TrafficStatsQuery object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"TrafficStatsQuery":{"properties":{"country":{"type":"string"},"start_at":{"type":"string","format":"date-time"},"end_at":{"type":"string","format":"date-time"},"username":{"type":"string"}},"required":["start_at","end_at"]}}}}
```

## The TrafficHistoryStats object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"TrafficHistoryStats":{"properties":{"values":{"type":"array","items":{"$ref":"#/components/schemas/TrafficHistoryStat"}},"filter":{"$ref":"#/components/schemas/TrafficHistoryStatsQuery"}},"required":["values","filter"]},"TrafficHistoryStat":{"properties":{"start_at":{"type":"string","format":"date-time"},"end_at":{"type":"string","format":"date-time"},"bytes":{"type":"number"}},"required":["start_at","end_at","bytes"]},"TrafficHistoryStatsQuery":{"properties":{"country":{"type":"string"},"start_at":{"type":"string","format":"date-time"},"end_at":{"type":"string","format":"date-time"},"interval":{"$ref":"#/components/schemas/TrafficHistoryInterval"},"username":{"type":"string"}},"required":["start_at","end_at"]},"TrafficHistoryInterval":{"type":"string","enum":["hour","day","week","auto"]}}}}
```

## The TrafficHistoryStat object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"TrafficHistoryStat":{"properties":{"start_at":{"type":"string","format":"date-time"},"end_at":{"type":"string","format":"date-time"},"bytes":{"type":"number"}},"required":["start_at","end_at","bytes"]}}}}
```

## The TrafficHistoryStatsQuery object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"TrafficHistoryStatsQuery":{"properties":{"country":{"type":"string"},"start_at":{"type":"string","format":"date-time"},"end_at":{"type":"string","format":"date-time"},"interval":{"$ref":"#/components/schemas/TrafficHistoryInterval"},"username":{"type":"string"}},"required":["start_at","end_at"]},"TrafficHistoryInterval":{"type":"string","enum":["hour","day","week","auto"]}}}}
```

## The RequestsHistoryStats object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"RequestsHistoryStats":{"properties":{"values":{"type":"array","items":{"$ref":"#/components/schemas/RequestsHistoryStat"}},"filter":{"$ref":"#/components/schemas/RequestsHistoryStatsQuery"}},"required":["values","filter"]},"RequestsHistoryStat":{"properties":{"start_at":{"type":"string","format":"date-time"},"end_at":{"type":"string","format":"date-time"},"count":{"type":"integer"},"amount":{"type":"integer"}},"required":["start_at","end_at","amount"]},"RequestsHistoryStatsQuery":{"properties":{"country":{"type":"string"},"start_at":{"type":"string","format":"date-time"},"end_at":{"type":"string","format":"date-time"},"interval":{"$ref":"#/components/schemas/TrafficHistoryInterval"},"username":{"type":"string"},"status":{"type":"integer"},"status_not":{"type":"integer"}},"required":["start_at","end_at","interval"]},"TrafficHistoryInterval":{"type":"string","enum":["hour","day","week","auto"]}}}}
```

## The RequestsHistoryStat object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"RequestsHistoryStat":{"properties":{"start_at":{"type":"string","format":"date-time"},"end_at":{"type":"string","format":"date-time"},"count":{"type":"integer"},"amount":{"type":"integer"}},"required":["start_at","end_at","amount"]}}}}
```

## The RequestsHistoryStatsQuery object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"RequestsHistoryStatsQuery":{"properties":{"country":{"type":"string"},"start_at":{"type":"string","format":"date-time"},"end_at":{"type":"string","format":"date-time"},"interval":{"$ref":"#/components/schemas/TrafficHistoryInterval"},"username":{"type":"string"},"status":{"type":"integer"},"status_not":{"type":"integer"}},"required":["start_at","end_at","interval"]},"TrafficHistoryInterval":{"type":"string","enum":["hour","day","week","auto"]}}}}
```

## The UsedCountriesStats object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"UsedCountriesStats":{"properties":{"countries":{"type":"array","items":{"type":"string"}}},"required":["countries"]}}}}
```

## The TrafficHistoryInterval object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"TrafficHistoryInterval":{"type":"string","enum":["hour","day","week","auto"]}}}}
```

## The NewResellerSubuser object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"NewResellerSubuser":{"properties":{"username":{"type":"string"},"enabled":{"type":"boolean"},"traffic_limit_amount":{"type":"number","description":"Traffic limit amount in GB"},"traffic_limit_unit":{"type":"string","description":"Traffic limit unit","deprecated":true},"period_seconds":{"type":"integer","description":"Traffic limit period in seconds"},"recurring":{"type":"boolean","description":"Whether the traffic limit is recurring"}},"required":["username"]}}}}
```

## The ResellerSubuserUpdate object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"ResellerSubuserUpdate":{"properties":{"traffic_limit_amount":{"type":"number","description":"Traffic limit amount in GB"},"traffic_limit_unit":{"type":"string","description":"Traffic limit unit","deprecated":true},"period_seconds":{"type":"integer","description":"Traffic limit period in seconds"},"recurring":{"type":"boolean","description":"Whether the traffic limit is recurring"}}}}}}
```

## The ResellerSubuser object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"ResellerSubuser":{"properties":{"username":{"type":"string"},"enabled":{"type":"boolean"},"traffic_limit_amount":{"type":"number"},"traffic_limit_unit":{"type":"string"},"period_seconds":{"type":"integer"},"period_started_at":{"type":"string","format":"date-time"},"recurring":{"type":"boolean"},"traffic_used":{"type":"number"}},"required":["username","enabled","traffic_limit_amount","traffic_limit_unit","period_seconds","recurring","traffic_used"]}}}}
```

## The ResellerSubuserWithSecret object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"ResellerSubuserWithSecret":{"properties":{"username":{"type":"string"},"enabled":{"type":"boolean"},"traffic_limit_amount":{"type":"number"},"traffic_limit_unit":{"type":"string"},"period_seconds":{"type":"integer"},"period_started_at":{"type":"string","format":"date-time"},"recurring":{"type":"boolean"},"traffic_used":{"type":"number"},"secret":{"type":"string"}},"required":["username","enabled","traffic_limit_amount","traffic_limit_unit","period_seconds","recurring","traffic_used","secret"]}}}}
```

## The ResellerSubusers object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"ResellerSubusers":{"properties":{"subusers":{"type":"array","items":{"$ref":"#/components/schemas/ResellerSubuser"}},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["subusers","paging"]},"ResellerSubuser":{"properties":{"username":{"type":"string"},"enabled":{"type":"boolean"},"traffic_limit_amount":{"type":"number"},"traffic_limit_unit":{"type":"string"},"period_seconds":{"type":"integer"},"period_started_at":{"type":"string","format":"date-time"},"recurring":{"type":"boolean"},"traffic_used":{"type":"number"}},"required":["username","enabled","traffic_limit_amount","traffic_limit_unit","period_seconds","recurring","traffic_used"]},"Paging":{"properties":{"limit":{"type":"integer"},"offset":{"type":"integer"}},"required":["limit","offset"]}}}}
```

## The Paging object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"Paging":{"properties":{"limit":{"type":"integer"},"offset":{"type":"integer"}},"required":["limit","offset"]}}}}
```

## The Status object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"Status":{"properties":{"db_status":{"type":"string"}},"required":["db_status"]}}}}
```

## The Error object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"Error":{"properties":{"error":{"$ref":"#/components/schemas/Err"},"status":{"type":"integer"},"path":{"type":"string"}}},"Err":{"properties":{"code":{"type":"string"},"message":{"type":"string"},"detail":{"type":"string"},"fields":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/FieldError"}}}},"FieldError":{"properties":{"code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## The Err object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"Err":{"properties":{"code":{"type":"string"},"message":{"type":"string"},"detail":{"type":"string"},"fields":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/FieldError"}}}},"FieldError":{"properties":{"code":{"type":"string"},"message":{"type":"string"}}}}}}
```

## The FieldError object

```json
{"openapi":"3.0.3","info":{"title":"Resellers API specification","version":"1.0.0"},"components":{"schemas":{"FieldError":{"properties":{"code":{"type":"string"},"message":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.goproxies.com/proxies/resellers-api/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
